OpenTTD Source: src/settings_type.h File Reference

OpenTTD Source 15.3

Data Structures | Enumerations | Functions | Variables
settings_type.h File Reference

Types related to global configuration settings. More...

`#include "command_type.h"`
`#include "timer/timer_game_calendar.h"`
`#include "economy_type.h"`
`#include "town_type.h"`
`#include "transport_type.h"`
`#include "network/network_type.h"`
`#include "company_type.h"`
`#include "cargotype.h"`
`#include "linkgraph/linkgraph_type.h"`
`#include "zoom_type.h"`
`#include "openttd.h"`
`#include "rail_gui.h"`
`#include "signal_type.h"`
`#include "timetable.h"`

Go to the source code of this file.

## Data Structures
struct | DifficultySettings
| Settings related to the difficulty of the game. More...
struct | GUISettings
| Settings related to the GUI and other stuff that is not saved in the savegame. More...
struct | SoundSettings
| Settings related to sound effects. More...
struct | MusicSettings
| Settings related to music. More...
struct | LocaleSettings
| Settings related to currency/unit systems. More...
struct | NewsSettings
| Settings related to news. More...
struct | NetworkSettings
| All settings related to the network. More...
struct | GameCreationSettings
| Settings related to the creation of games. More...
struct | ConstructionSettings
| Settings related to construction in-game. More...
struct | AISettings
| Settings related to the AI. More...
struct | ScriptSettings
| Settings related to scripts. More...
struct | YAPFSettings
| Settings related to the yet another pathfinder. More...
struct | PathfinderSettings
| Settings related to all pathfinders. More...
struct | OrderSettings
| Settings related to orders. More...
struct | VehicleSettings
| Settings related to vehicles. More...
struct | EconomySettings
| Settings related to the economy. More...
struct | LinkGraphSettings
struct | StationSettings
| Settings related to stations. More...
struct | VehicleDefaultSettings
| Default settings for vehicles. More...
struct | CompanySettings
| Settings that can be set per company. More...
struct | ScriptConfigSettings
| Container for AI and Game script configuration. More...
struct | GameSettings
| All settings together for the game. More...
struct | ClientSettings
| All settings that are only important for the local client. More...

## Enumerations
enum | SettingsProfile : uint8_t { SP_BEGIN = 0 , SP_EASY = SP_BEGIN , SP_MEDIUM , SP_HARD , SP_END , SP_CUSTOM = SP_END , SP_SAVED_HIGHSCORE_END , SP_MULTIPLAYER = SP_SAVED_HIGHSCORE_END , SP_HIGHSCORE_END }
| Settings profiles and highscore tables. More...
enum | IndustryDensity : uint8_t { ID_FUND_ONLY , ID_MINIMAL , ID_VERY_LOW , ID_LOW , ID_NORMAL , ID_HIGH , ID_CUSTOM , ID_END }
| Available industry map generation densities. More...
enum | BorderFlagPresets : uint8_t { BFP_RANDOM = 0 , BFP_MANUAL , BFP_INFINITE_WATER }
| Possible options for the Borders pulldown in the Genworld GUI. More...
enum | TimekeepingUnits : uint8_t { TKU_CALENDAR = 0 , TKU_WALLCLOCK }
| Possible values for the "timekeeping_units" setting. More...
enum | UseRelayService : uint8_t { URS_NEVER = 0 , URS_ASK , URS_ALLOW }
| Possible values for "use_relay_service" setting. More...
enum | ParticipateSurvey : uint8_t { PS_ASK = 0 , PS_NO , PS_YES }
| Possible values for "participate_survey" setting. More...
enum | RightClickClose : uint8_t { RCC_NO = 0 , RCC_YES , RCC_YES_EXCEPT_STICKY }
| Right-click to close window actions. More...
enum | TreePlacer : uint8_t { TP_NONE , TP_ORIGINAL , TP_IMPROVED }
| List of tree placer algorithm. More...
enum | PlaceHouses : uint8_t { PH_FORBIDDEN = 0 , PH_ALLOWED , PH_ALLOWED_CONSTRUCTED }
| Possible values for "place_houses" setting. More...
enum | ViewportScrollMode : uint8_t { VSM_VIEWPORT_RMB_FIXED , VSM_MAP_RMB_FIXED , VSM_MAP_RMB , VSM_MAP_LMB , VSM_END }
| Settings relating to viewport/smallmap scrolling. More...
enum | ScrollWheelScrollingSetting : uint8_t { SWS_ZOOM_MAP = 0 , SWS_SCROLL_MAP = 1 , SWS_OFF = 2 }
| Settings related to scroll wheel behavior. More...

## Functions
GameSettings & | GetGameSettings ()
| Get the settings-object applicable for the current situation: the newgame settings when we're in the main menu and otherwise the settings of the current game.

## Variables
const size_t | MAX_SLE_UINT8 = UINT8_MAX
const size_t | MAX_SLE_UINT16 = UINT16_MAX
const size_t | MAX_SLE_UINT32 = UINT32_MAX
const size_t | MAX_SLE_UINT = UINT_MAX
const size_t | MAX_SLE_INT8 = INT8_MAX
const size_t | MAX_SLE_INT16 = INT16_MAX
const size_t | MAX_SLE_INT32 = INT32_MAX
const size_t | MAX_SLE_INT = INT_MAX
ClientSettings | _settings_client
| The current settings for this game.
GameSettings | _settings_game
| The current settings for this game.
GameSettings | _settings_newgame
| The settings values that are used for new games and/or modified in config file.
VehicleDefaultSettings | _old_vds
| Old vehicle settings, which were game settings before, and are company settings now.

## Detailed Description

Types related to global configuration settings.

Definition in file settings_type.h.

## Enumeration Type Documentation

## ◆ BorderFlagPresets

enum BorderFlagPresets : uint8_t

Possible options for the Borders pulldown in the Genworld GUI.

Definition at line 69 of file settings_type.h.

## ◆ IndustryDensity

enum IndustryDensity : uint8_t

Available industry map generation densities.

Enumerator
ID_FUND_ONLY | The game does not build industries.
ID_MINIMAL | Start with just the industries that must be present.
ID_VERY_LOW | Very few industries at game start.
ID_LOW | Few industries at game start.
ID_NORMAL | Normal amount of industries at game start.
ID_HIGH | Many industries at game start.
ID_CUSTOM | Custom number of industries.
ID_END | Number of industry density settings.

Definition at line 55 of file settings_type.h.

## ◆ ParticipateSurvey

enum ParticipateSurvey : uint8_t

Possible values for "participate_survey" setting.

Definition at line 89 of file settings_type.h.

## ◆ PlaceHouses

enum PlaceHouses : uint8_t

Possible values for "place_houses" setting.

Definition at line 114 of file settings_type.h.

## ◆ RightClickClose

enum RightClickClose : uint8_t

Right-click to close window actions.

Definition at line 96 of file settings_type.h.

## ◆ ScrollWheelScrollingSetting

enum ScrollWheelScrollingSetting : uint8_t

Settings related to scroll wheel behavior.

Enumerator
SWS_ZOOM_MAP | Scroll wheel zooms the map.
SWS_SCROLL_MAP | Scroll wheel scrolls the map.
SWS_OFF | Scroll wheel has no effect.

Definition at line 156 of file settings_type.h.

## ◆ SettingsProfile

enum SettingsProfile : uint8_t

Settings profiles and highscore tables.

Enumerator
SP_EASY | Easy difficulty.
SP_MEDIUM | Medium difficulty.
SP_HARD | Hard difficulty.
SP_END | End of setting profiles.
SP_CUSTOM | No profile, special "custom" highscore.
SP_SAVED_HIGHSCORE_END | End of saved highscore tables.
SP_MULTIPLAYER | Special "multiplayer" highscore. Not saved, always specific to the current game.
SP_HIGHSCORE_END | End of highscore tables.

Definition at line 39 of file settings_type.h.

## ◆ TimekeepingUnits

enum TimekeepingUnits : uint8_t

Possible values for the "timekeeping_units" setting.

Definition at line 76 of file settings_type.h.

## ◆ TreePlacer

enum TreePlacer : uint8_t

List of tree placer algorithm.

This enumeration defines all possible tree placer algorithm in the game.

Enumerator
TP_NONE | No tree placer algorithm.
TP_ORIGINAL | The original algorithm.
TP_IMPROVED | A 'improved' algorithm.

Definition at line 107 of file settings_type.h.

## ◆ UseRelayService

enum UseRelayService : uint8_t

Possible values for "use_relay_service" setting.

Definition at line 82 of file settings_type.h.

## ◆ ViewportScrollMode

enum ViewportScrollMode : uint8_t

Settings relating to viewport/smallmap scrolling.

Enumerator
VSM_VIEWPORT_RMB_FIXED | Viewport moves with mouse movement on holding right mouse button, cursor position is fixed.
VSM_MAP_RMB_FIXED | Map moves with mouse movement on holding right mouse button, cursor position is fixed.
VSM_MAP_RMB | Map moves with mouse movement on holding right mouse button, cursor moves.
VSM_MAP_LMB | Map moves with mouse movement on holding left mouse button, cursor moves.
VSM_END | Number of scroll mode settings.

Definition at line 147 of file settings_type.h.

## Function Documentation

## ◆ GetGameSettings()

GameSettings & GetGameSettings | ( |  | ) |
| inline

Get the settings-object applicable for the current situation: the newgame settings when we're in the main menu and otherwise the settings of the current game.

Definition at line 674 of file settings_type.h.

References _settings_game, and _settings_newgame.

Referenced by CmdChangeSetting(), AIConfigWindow::DrawWidget(), GetCurrency(), AIConfigWindow::GetWidgetString(), SettingEntry::IsVisibleByRestrictionMode(), AIConfigWindow::OnClick(), AIConfigWindow::OnInvalidateData(), and SetSettingValue().

## Variable Documentation

## ◆ _old_vds

VehicleDefaultSettings _old_vds
| extern

Old vehicle settings, which were game settings before, and are company settings now.

(Needed for savegame conversion)

Old vehicle settings, which were game settings before, and are company settings now.

Definition at line 63 of file settings.cpp.

Referenced by AfterLoadGame().

## ◆ _settings_client

ClientSettings _settings_client
| extern

The current settings for this game.

Definition at line 60 of file settings.cpp.

Referenced by AddCustomRefreshRates(), AdjustGUIZoom(), AfterLoadGame(), AgeVehicle(), AlignInitialConstructionToolbar(), ServerNetworkAdminSocketHandler::AllowConnection(), AmbientSoundEffectCallback(), AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >::AnimateTile(), TimetableWindow::BuildArrivalDepartureList(), GameOptionsWindow::BuildDropDownList(), BuildLandLegend(), BuildLinkStatsLegend(), BuildOwnerLegend(), MusicSystem::BuildPlaylists(), BuildRailClick_Remove(), CalcRaildirsDrawstyle(), CcBuildBridge(), CcBuildRailTunnel(), CcBuildRoadTunnel(), CcRoadStop(), AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >::ChangeAnimationFrame(), ChangeAutosaveFrequency(), ChangeNetworkRestartTime(), MusicSystem::ChangePlaylist(), ChangePopulation(), ChangeTimekeepingUnits(), CheckClientAndServerName(), CheckMinActiveClients(), CheckOrders(), CheckPauseOnJoin(), CheckRedrawStationCoverage(), BuildRailStationWindow::CheckSelectedSize(), CheckSoftLimit(), MusicSystem::CheckStatus(), CheckTrainCollision(), CheckTrainStayInDepot(), ChopLumberMillTrees(), ClearPathReservation(), BuildAirToolbarWindow::Close(), BuildDocksToolbarWindow::Close(), BuildRailToolbarWindow::Close(), BuildRoadToolbarWindow::Close(), CommonRaiseLowerBigLand(), CompanyServiceInterval(), Order::ConvertFromOldSavegame(), ConZoomToLevel(), CrashAirplane(), DebugReconsiderSendRemoteMessages(), DebugSendRemoteMessages(), DisasterTick_Aircraft(), DisasterTick_Big_Ufo_Destroyer(), DisasterTick_Ufo(), DisasterTick_Zeppeliner(), DispatchRightClickEvent(), DistributeQueue(), DoAutoOrNetsave(), GRFFileScanner::DoScan(), DoZoomInOutWindow(), TimetableWindow::DrawArrivalDeparturePanel(), DrawBridgeMiddle(), LinkGraphOverlay::DrawContent(), BaseGraphWindow::DrawGraph(), DrawOrderString(), DrawSpriteToRgbaBuffer(), TimetableWindow::DrawSummaryPanel(), DrawTile_Road(), DrawTile_TunnelBridge(), DrawTrackBits(), BaseVehicleListWindow::DrawVehicleListItems(), DrawVehiclePurchaseInfo(), LinkGraphLegendWindow::DrawWidget(), MusicWindow::DrawWidget(), NetworkStartServerWindow::DrawWidget(), ScanProgressWindow::DrawWidget(), GameOptionsWindow::DrawWidget(), Blitter_8bppOptimized::Encode(), FiosNumberedSaveName::Filename(), FloodVehicle(), GenerateDefaultSaveName(), GenerateRockyArea(), GenericPlaceSignals(), GetDefaultServiceInterval(), GetLogPrefix(), GetOrderCmdFromTile(), GetSmallMapContoursPixels(), GetSmallMapIndustriesPixels(), GetSmallMapOwnerPixels(), GetSmallMapRoutesPixels(), GetSmallMapVehiclesPixels(), GetTimetableParameters(), MusicTrackSelectionWindow::GetWidgetString(), NetworkStartServerWindow::GetWidgetString(), NetworkClientListWindow::GetWidgetString(), BuildSignalWindow::GetWidgetString(), GameOptionsWindow::GetWidgetString(), HandleAutoscroll(), HandleAutoSignalPlacement(), HandleMouseEvents(), Vehicle::HandlePathfindingResult(), HandleViewportScroll(), HandleWindowDragging(), HandleZoomMessage(), InitializeRailGUI(), InitializeWindowViewport(), MusicSystem::IsPlaying(), MusicSystem::IsShuffle(), LoadFromConfig(), LoadUnloadVehicle(), VideoDriver_Null::MainLoop(), MenuClickSettings(), NetworkAutoCleanCompanies(), NetworkCheckRestartMapYear(), NetworkClientJoinGame(), NetworkClientPreferTeamChat(), NetworkInitChatMessage(), NetworkMaxCompaniesAllowed(), NetworkServer_Tick(), NetworkServerSendChat(), NetworkUDPInitialize(), NetworkUpdateServerGameType(), NetworkValidateOurClientName(), NewsItem::NewsItem(), MusicSystem::Next(), BuildAirportWindow::OnClick(), BuildDocksStationWindow::OnClick(), SaveLoadWindow::OnClick(), MusicWindow::OnClick(), NetworkGameWindow::OnClick(), NetworkStartServerWindow::OnClick(), NetworkClientListWindow::OnClick(), NetworkAskRelayWindow::OnClick(), NetworkAskSurveyWindow::OnClick(), BuildRailStationWindow::OnClick(), BuildSignalWindow::OnClick(), BuildRoadStationWindow::OnClick(), GameOptionsWindow::OnClick(), TimetableWindow::OnClick(), NetworkStartServerWindow::OnDropdownSelect(), NetworkClientListWindow::OnDropdownSelect(), GameOptionsWindow::OnDropdownSelect(), NetworkGameWindow::OnEditboxChanged(), MainWindow::OnHotkey(), SelectGameWindow::OnInit(), BuildRailStationWindow::OnInit(), ScriptDebugWindow::OnInit(), TerraformToolbarWindow::OnInitialPosition(), SelectCompanyLiveryWindow::OnInvalidateData(), SaveLoadWindow::OnInvalidateData(), MusicTrackSelectionWindow::OnInvalidateData(), MusicWindow::OnInvalidateData(), SpriteAlignerWindow::OnInvalidateData(), NewGRFWindow::OnInvalidateData(), BuildSignalWindow::OnInvalidateData(), ScriptDebugWindow::OnInvalidateData(), GameOptionsWindow::OnInvalidateData(), IndustryViewWindow::OnMouseWheel(), MainWindow::OnMouseWheel(), SmallMapWindow::OnMouseWheel(), TownViewWindow::OnMouseWheel(), VehicleViewWindow::OnMouseWheel(), ExtraViewportWindow::OnMouseWheel(), AfterNewGRFScan::OnNewGRFsScanned(), BuildDocksStationWindow::OnPaint(), BuildRailStationWindow::OnPaint(), BuildRoadStationWindow::OnPaint(), BuildRailToolbarWindow::OnPlaceMouseUp(), BuildRoadToolbarWindow::OnPlaceMouseUp(), BuildIndustryWindow::OnPlaceObject(), OrdersWindow::OnPlaceObject(), NetworkGameWindow::OnQueryTextFinished(), NetworkStartServerWindow::OnQueryTextFinished(), SmallMapWindow::OnScroll(), OnTick_Companies(), OrdersWindow::OrderClick_NearestDepot(), PlaceExtraDepotRail(), PlaceRail_Station(), MusicSystem::Play(), PlayVehicleSound(), VideoDriver_SDL_Base::PollEvent(), PositionMainToolbar(), PositionNetworkChatWindow(), PositionNewsMessage(), PositionStatusbar(), MusicSystem::Prev(), GSConfigWindow::RebuildVisibleSettings(), ScriptSettingsWindow::RebuildVisibleSettings(), ServerNetworkAdminSocketHandler::Receive_ADMIN_JOIN(), ServerNetworkGameSocketHandler::Receive_CLIENT_COMMAND(), ServerNetworkGameSocketHandler::Receive_CLIENT_IDENTIFY(), ServerNetworkGameSocketHandler::Receive_CLIENT_JOIN(), ServerNetworkGameSocketHandler::Receive_CLIENT_RCON(), ClientNetworkCoordinatorSocketHandler::Receive_GC_ERROR(), ClientNetworkCoordinatorSocketHandler::Receive_GC_REGISTER_ACK(), ClientNetworkCoordinatorSocketHandler::Receive_GC_TURN_CONNECT(), ClientNetworkGameSocketHandler::Receive_SERVER_AUTH_REQUEST(), ClientNetworkCoordinatorSocketHandler::Register(), ScriptScanner::RegisterScript(), ScriptConfig::ResetEditableSettings(), ResetSignalVariant(), MusicSystem::SaveCustomPlaylist(), SaveOrLoad(), StationViewWindow::SelectGroupBy(), StationViewWindow::SelectSortBy(), StationViewWindow::SelectSortOrder(), ServerNetworkGameSocketHandler::SendConfigUpdate(), ClientNetworkCoordinatorSocketHandler::SendReceive(), ServerNetworkAdminSocketHandler::SendWelcome(), ServerNetworkGameSocketHandler::ServerNetworkGameSocketHandler(), ServiceIntervalSettingsValueText(), SetDefaultRailGui(), SetSettingValue(), BuildSignalWindow::SetSignalUIMode(), GRFConfig::SetSuitablePalette(), SetupScreenshotViewport(), NWidgetLeaf::SetupSmallestSize(), SetupWidgetDimensions(), ShowErrorMessage(), ShowMeasurementTooltips(), ShowNewspaper(), ShowSelectBaseStationIfNeeded(), ShowTicker(), MusicSystem::Shuffle(), SndClickBeep(), SndConfirmBeep(), MusicSystem::Stop(), SurveySettings(), SyncCompanySettings(), TicksPerTimetableUnit(), ToggleBoundingBoxes(), ToggleDirtyBlocks(), ToggleWidgetOutlines(), TrainController(), NetworkSurveyHandler::Transmit(), TruncateBuffer(), TryPathReserve(), TryReserveRailTrack(), UnreserveRailTrack(), MusicSystem::Unshuffle(), UpdateAllServiceInterval(), UpdateGUIZoom(), UpdateLevelCrossingTile(), ScanProgressWindow::UpdateNewGRFScanStatus(), TimetableWindow::UpdateSelectionStates(), UpdateViewportPosition(), Town::UpdateVirtCoord(), NetworkClientListWindow::UpdateWidgetSize(), TimetableWindow::UpdateWidgetSize(), VehicleEnterDepot(), VehicleIsAboveLatenessThreshold(), ViewportAddTownStrings(), and VpSelectTilesWithMethod().

## ◆ _settings_game

GameSettings _settings_game
| extern

The current settings for this game.

The current settings for this game.

Definition at line 61 of file settings.cpp.

Referenced by _GenerateWorld(), AddAcceptedCargoOfHouse(), AffectSpeedByZChange(), AfterLoadGame(), AfterLoadVehiclesPhase2(), AfterNewGRFScan::AfterNewGRFScan(), AircraftController(), AircraftEventHandler_AtTerminal(), AutoslopeEnabled(), Subsidy::AwardTo(), BuildLandLegend(), BuildRailClick_Remove(), CalcEngineReliability(), CalculateDesertLine(), CalculateRefitMasks(), CalculateSnowLine(), CanBuildVehicleInfrastructure(), CanExpandRailStation(), CanRoadContinueIntoNextTile(), AI::CanStartNew(), ChangeIndustryProduction(), ChangeMinutesPerYear(), CheckAllowRemoveRoad(), CheckAllowRemoveTunnelBridge(), CheckBridgeAvailability(), CheckBuildableTile(), CheckCompanyHasMoney(), CheckFlatLandRoadStop(), CheckforTownRating(), CheckIfAuthorityAllowsNewStation(), CheckIfCanLevelIndustryPlatform(), CheckIfIndustryTileSlopes(), CheckIfTrainNeedsService(), CheckIndustryCloseDownProtection(), CheckNewIndustry_Farm(), CheckNewIndustry_Forest(), CheckNewIndustry_OilRefinery(), CheckNewIndustry_OilRig(), CheckNewTrain(), CheckNextTrainTile(), CheckRailSlope(), CheckRoadSlope(), CheckTakeoverVehicleLimit(), CheckTrainAttachment(), CheckTrainStayInDepot(), ClearTile_Town(), ClickChangeMaxHlCheat(), CmdBuildAirport(), CmdBuildBridge(), CmdBuildDock(), CmdBuildIndustry(), CmdBuildLock(), CmdBuildObject(), CmdBuildRailStation(), CmdBuildRailWaypoint(), CmdBuildRoad(), CmdBuildRoadDepot(), CmdBuildRoadStop(), CmdBuildRoadVehicle(), CmdBuildRoadWaypoint(), CmdBuildSingleRail(), CmdBuildSingleSignal(), CmdBuildTrainDepot(), CmdBuildTunnel(), CmdConvertRail(), CmdConvertRoad(), CmdFoundTown(), CmdGiveMoney(), CmdLevelLand(), CmdPlaceHouse(), CmdPlantTree(), CmdRefitVehicle(), CmdReverseTrainDirection(), CmdTerraformLand(), CompaniesGenStatistics(), Company::Company(), CompanyCheckBankrupt(), Train::ConsistChanged(), CreateNewIndustryHelper(), CreateRivers(), CreateSubsidy(), DeleteStaleLinks(), DeliverGoods(), DisplayVehicleSortDropDown(), DistanceFromEdgeDir(), DoCreateTown(), LinkGraphOverlay::DrawContent(), StationViewWindow::DrawEntries(), DrawRoadAsSnowOrDesert(), SmallMapWindow::DrawSmallMapColumn(), DrawTrainDetails(), CompanyInfrastructureWindow::DrawWidget(), StatusBarWindow::DrawWidget(), TownViewWindow::DrawWidget(), VehicleDetailsWindow::DrawWidget(), IndustryBuildData::EconomyMonthlyLoop(), ExtendTrainReservation(), FinaliseEngineArray(), FindSpring(), FindStationsNearby(), FindSubsidyIndustryCargoRoute(), FindSubsidyTownCargoRoute(), FindTownForIndustry(), FixSlopes(), FlatEmptyWorld(), FollowTrainReservation(), ForAllStationsAroundTiles(), FormatString(), FreightWagonMult(), AI::GameLoop(), ScriptInstance::GameLoop(), GenerateIndustries(), GenerateLandscape(), GenerateStationName(), GenerateTerrainPerlin(), GenerateTownName(), GenerateTowns(), GenerateTrees(), GenerateWorld(), GetAcceptanceAroundTiles(), GetAirportNoiseLevelForDistance(), GetAmplitude(), GetAvailableMoney(), Station::GetCatchmentRadius(), GetClimateMaskForLandscape(), GetClosestWaterDistance(), GetCompanyRailTypes(), GetCompanyRoadTypes(), AIConfig::GetConfig(), GameConfig::GetConfig(), IndustrySpec::GetConstructionCost(), RoadVehicle::GetCurrentMaxSpeed(), Train::GetCurrentMaxSpeed(), Train::GetCurveSpeedLimit(), GetDefaultTownsForMapSize(), TownViewWindow::GetDesiredInfoHeight(), TownAuthorityWindow::GetEnabledActions(), GetFreeUnitNumber(), GetGameSettings(), GetGlobalVariable(), GetIndustryGamePlayProbability(), Engine::GetLifeLengthInDays(), GetLoadAmount(), GetMaskOfTownActions(), GetMaxTreeSpriteSize(), GetNewEngine(), GetNewEngineID(), GetNormalGrowthRate(), GetNumberOfIndustries(), GetOtherAqueductEnd(), GetProductionAroundTiles(), GetRailTypes(), GetRandomTreeType(), GetRoadTypes(), GetScaledIndustryGenerationProbability(), RoadVehicle::GetSlopeSteepness(), Train::GetSlopeSteepness(), GetSmallMapVegetationPixels(), GetSnowLine(), GetTerrainType(), GetTileCatchmentRadius(), TownScopeResolver::GetVariable(), GetVelocityUnits(), CompanyFinancesWindow::GetWidgetString(), BuildIndustryWindow::GetWidgetString(), ScenarioEditorToolbarWindow::GetWidgetString(), GfxLoadSprites(), GlobalVarChangeInfo(), GreyscaleToMapHeights(), GrowTownInTile(), GUIPlaceProcDragXY(), Vehicle::HandleBreakdown(), HandleOldDiffCustom(), HasRailCatenaryDrawn(), HeightMapCoastLines(), HeightMapNormalize(), HeightMapSineTransform(), HighestSnowLine(), HighlightTownLocalAuthorityTiles(), IConsoleGetSetting(), IndustriesChangeInfo(), InitializePatchFlags(), int_noise(), InverseRemapCoords2(), AirportSpec::IsAvailable(), IsCommandAllowedWhilePaused(), Engine::IsEnabled(), ObjectSpec::IsEverAvailable(), IsInnerTile(), IsRoadAllowedHere(), IsValidRiverTerminusTile(), IsValidTileForWaypoint(), IsVehicleTypeDisabled(), OPTSChunkHandler::Load(), PATSChunkHandler::Load(), LoadHeightmap(), LoadNewGRF(), LoadSpriteTables(), LoadTownData(), LoadUnloadVehicle(), LowestSnowLine(), MakeTreeTypeButtons(), MakeWetlands(), Town::MaxTownNoise(), MaybeCrashAirplane(), MenuClickTown(), Gamelog::Mode(), Vehicle::NeedsServicing(), BuildIndustryWindow::OnClick(), FoundTownWindow::OnClick(), LandInfoWindow::OnInit(), FoundTownWindow::OnInit(), BuildVehicleWindow::OnInvalidateData(), BuildAirportWindow::OnPaint(), CompanyWindow::OnPaint(), BuildDocksStationWindow::OnPaint(), BuildRailStationWindow::OnPaint(), BuildRoadStationWindow::OnPaint(), ScenarioEditorToolbarWindow::OnPaint(), BuildObjectWindow::OnPlaceMouseUp(), TerraformToolbarWindow::OnPlaceMouseUp(), OnTick_Companies(), OnTick_LinkGraph(), ParamSet(), ScriptInstance::Pause(), CargoPayment::PayTransfer(), CYapfCostRailT< Types >::PfCalcCost(), PlaceRail_Station(), PlaceRail_Waypoint(), PlaceRoad_BusStation(), PlaceRoad_TruckStation(), PlaceRoad_Waypoint(), PlaceTreesRandomly(), PopulateStationsNearby(), SmallMapWindow::RebuildColourIndexIfNecessary(), Station::RecomputeCatchment(), RecomputePrices(), RemoveAirport(), RemoveRoad(), ReplaceChain(), AI::ResetConfig(), ResetIndustries(), ResetNewGRFData(), ResetSettings(), ReverseTrainDirection(), RoadFindPathToDest(), RoadVehAccelerationModelChanged(), PATSChunkHandler::Save(), ScaleByCargoScale(), ScaleByInverseCargoScale(), ServerNetworkAdminSocketHandler::SendWelcome(), SetSettingValue(), SetStartingYear(), SetupScreenshotViewport(), SetYearEngineAgingStops(), StationViewWindow::ShowCargo(), Vehicle::ShowVisualEffect(), SplitGroundSpriteForOverlay(), StartupOneEngine(), StateGameLoop(), StateGameLoop_LinkGraphPauseControl(), StationJoinerNeeded(), SurveySettings(), TerraformTileHeight(), TestAutoslopeOnRailTile(), Gamelog::TestMode(), TGPGetMaxHeight(), TileAddWrap(), TileLoop_Town(), ToolbarScenDatePanel(), TownActionBuyRights(), TownActionFundBuildings(), TownActionRoadRebuild(), TownHouseChangeInfo(), TownTickHandler(), TrainController(), TrainDetailsCapacityTab(), TrainDetailsCargoTab(), TryBuildTownHouse(), TryMakeRiverTerminus(), AI::Uninitialize(), Game::Uninitialize(), UpdateAircraftSpeed(), UpdateLandscapingLimits(), UpdateLoadUnloadTicks(), RoadVehicle::UpdateSpeed(), Train::UpdateSpeed(), UpdateStationRating(), UpdateTownGrowth(), CompanyInfrastructureWindow::UpdateWidgetSize(), IndustrySpec::UsesOriginalEconomy(), TimerGameEconomy::UsingWallclockUnits(), VehicleServiceInDepot(), ViewportAddLandscape(), YapfTrainCheckReverse(), YapfTrainChooseTrack(), YapfTrainFindNearestDepot(), YapfTrainFindNearestSafeTile(), and LinkGraphJob::~LinkGraphJob().

## ◆ _settings_newgame

GameSettings _settings_newgame
| extern

The settings values that are used for new games and/or modified in config file.

The settings values that are used for new games and/or modified in config file.

Definition at line 62 of file settings.cpp.

Referenced by AfterLoadGame(), GameOptionsWindow::BuildDropDownList(), ChangeMinutesPerYear(), ChangeTimekeepingUnits(), AIConfig::GetConfig(), GameConfig::GetConfig(), GetDefaultTownsForMapSize(), GetGameSettings(), GetMapHeightLimit(), GenerateLandscapeWindow::GetWidgetString(), CreateScenarioWindow::GetWidgetString(), HandleOldDiffCustom(), IConsoleGetSetting(), SettingEntry::IsVisibleByRestrictionMode(), LoadFromConfig(), NetworkRestartMap(), GenerateLandscapeWindow::OnClick(), CreateScenarioWindow::OnClick(), GenerateLandscapeWindow::OnDropdownSelect(), CreateScenarioWindow::OnDropdownSelect(), GenerateLandscapeWindow::OnInvalidateData(), AfterNewGRFScan::OnNewGRFsScanned(), CreateScenarioWindow::OnPaint(), GenerateLandscapeWindow::OnQueryTextFinished(), CreateScenarioWindow::OnQueryTextFinished(), AI::ResetConfig(), SetNewLandscapeType(), SetSettingValue(), SetSettingValue(), StartNewGameWithoutGUI(), AI::Uninitialize(), Game::Uninitialize(), TimerGameEconomy::UsingWallclockUnits(), and ValidateSettings().

## ◆ MAX_SLE_INT

const size_t MAX_SLE_INT = INT_MAX

Definition at line 36 of file settings_type.h.

## ◆ MAX_SLE_INT16

const size_t MAX_SLE_INT16 = INT16_MAX

Definition at line 34 of file settings_type.h.

## ◆ MAX_SLE_INT32

const size_t MAX_SLE_INT32 = INT32_MAX

Definition at line 35 of file settings_type.h.

## ◆ MAX_SLE_INT8

const size_t MAX_SLE_INT8 = INT8_MAX

Definition at line 33 of file settings_type.h.

## ◆ MAX_SLE_UINT

const size_t MAX_SLE_UINT = UINT_MAX

Definition at line 32 of file settings_type.h.

## ◆ MAX_SLE_UINT16

const size_t MAX_SLE_UINT16 = UINT16_MAX

Definition at line 30 of file settings_type.h.

## ◆ MAX_SLE_UINT32

const size_t MAX_SLE_UINT32 = UINT32_MAX

Definition at line 31 of file settings_type.h.

## ◆ MAX_SLE_UINT8

const size_t MAX_SLE_UINT8 = UINT8_MAX

Definition at line 29 of file settings_type.h.